//Address.java

package hr;

public class Address implements java.io.Serializable
{

    private String street;
    private String city;
    private String state;
    private String zip;

    public Address(String street, String city, String state, String zip)
    {
	this.street = street;
	this.city = city;
	this.state = state;
	this.zip = zip;
    }

    public String getStreet() {
	return street;
    }

    public void setStreet(String street) {
	this.street = street;
    }

    public String getCity() {
	return city;
    }

    public void setCity(String city) {
	this.city = city;
    }

    public String getState() {
	return state;
    }

    public void setState(String state) {
	this.state = state;
    }

    public String getZip() {
	return zip;
    }

    public void setZip(String zip) {
	this.zip = zip;
    }

    public String getAddress() {
	return street + " " + city + " " + state + " " + zip;
    }

    public boolean equals(Object other)
    {
        if(other instanceof Address) {
            Address address = (Address)other;
            if (address.equals(address.getAddress())) {
                return true;
            }
        }
        return false;
    }

}
